%%
%% Berechnung der Lebesgue'schen Cusp-Menge
%% Arendt, Urban: Partielle Differenzialgleichungen, 2. Aufl., 2018
a=2
[rho,t]=meshgrid(0:.05:a,-pi/2:pi/20:pi);
r=rho.^2./a;
z=r.*log(r)+sqrt((r.*log(r)).^2+2*r.*(r+1));
c=1
E0=exp(-1./r.^c);
E1=exp(-1./(a-r).^c);
M=E0./(E0+E1);
C=sqrt(a.^2-r.^2);
X=r.*cos(t);
Y=r.*sin(t);
Z=M.*C+(1-M).*z;

figure(1)
mesh(X,Y,Z)
hold on
C=sqrt(a.^2-rho.^2);
X=rho.*cos(t);
Y=rho.*sin(t);
mesh(X,Y,-C)
axis off
axis equal
colormap([0.25 0.25 0.25])
hold off

%% zur Berechnung der Boxen, um nur die Abbildung zu plotten
ps = get(gcf, 'Position');
ratio = (ps(4)-ps(2)) / (ps(3)-ps(1));
paperWidth = 10;
paperHeight = paperWidth*ratio;


set(gcf, 'paperunits', 'centimeters');
set(gcf, 'papersize', [paperWidth paperHeight]);
set(gcf, 'PaperPosition', [0    0   paperWidth paperHeight]);


print(gcf, '-dpdf', 'lebcusp.pdf');

